<?php
session_start();
include_once('uploadlib.php');


/**
 * Swiff.Uploader Example Backend
 *
 * This file represents a simple logging, validation and output.
 *  *
 * WARNING: If you really copy these lines in your backend without
 * any modification, there is something seriously wrong! Drop me a line
 * and I can give you a good rate for fancy and customised installation.
 *
 * No showcase represents 100% an actual real world file handling,
 * you need to move and process the file in your own code!
 * Just like you would do it with other uploaded files, nothing
 * special.
 *
 * @license		MIT License
 *
 * @author		Harald Kirschner <mail [at] digitarald [dot] de>
 * @copyright	Authors
 *
 */

$target_path = 'uploads/';

//initialize



// Request log

/**
 * You don't need to log, this is just for the showcase. Better remove
 * those lines for production since the log contains detailed file
 * information.
 */


$result = array();

$result['time'] = date('r');
$result['addr'] = substr_replace(gethostbyaddr($_SERVER['REMOTE_ADDR']), '******', 0, 6);
$result['agent'] = $_SERVER['HTTP_USER_AGENT'];

if (count($_GET)) {
	$result['get'] = $_GET;
}
if (count($_POST)) {
	$result['post'] = $_POST;
}
if (count($_FILES)) {
	$result['files'] = $_FILES;
}

// we kill an old file to keep the size small
if (file_exists('script.log') && filesize('script.log') > 102400) {
	unlink('script.log');
}

$log = @fopen('script.log', 'a');
if ($log) {
	fputs($log, print_r($result, true) . "\n---\n");
	fclose($log);
}

//pre process
$target_path = $target_path . $_SESSION['uName'] . '___' . basename( $_FILES['Filedata']['name']); 
$ext=strtolower(end(explode(".", $_FILES['Filedata']['name'])));



// Validation

$error = false;

//check if loged in  
if ((isset($_SESSION['uName'])) && ($_SESSION['uName']!='')) {
}else{
  $error = 'Not Loged in';
}


if (!isset($_FILES['Filedata']) || !is_uploaded_file($_FILES['Filedata']['tmp_name'])) {
	$error = 'Invalid Upload';
}

//check if suported file format
if (!file_type($_FILES['Filedata']['name'])) { 
	$error = 'Unsuported File Type';
}

//check for aciddental overite
if ((!file_exists($target_path)) OR (isset($_POST['overwrite']))) {
} else {
	$error = "File already exists.";
} 


// Processing


if ($error==false) {


	if(move_uploaded_file($_FILES['Filedata']['tmp_name'], $target_path)) {
		$url='http://uploads.propmodule.com/' . $_SESSION['uName'] . '___' . $_FILES['Filedata']['name'];
		if (($ext=='jpg') OR ($ext=='png') OR ($ext=='bmp') OR ($ext=='gif')) {
			$postcode = '[img]' . $url . '[/img]';
		} else {
			$file=$_FILES['Filedata']['name'];
			$postcode = '[url=' . $url . ']' . htmlspecialchars(preg_replace('/\..*$/', '', $file)) . '(' . file_type($file) . ' - ' . filesizemb('uploads/' . $_SESSION['uName'] . '___' . $file) . ')[/url]';
		}
	} else{
		$error = "Unknown Error";
	}

} 

/**
 * Its a demo, you would move or process the file like:
 *
 * move_uploaded_file($_FILES['Filedata']['tmp_name'], '../uploads/' . $_FILES['Filedata']['name']);
 * $return['src'] = '/uploads/' . $_FILES['Filedata']['name'];
 *
 * or
 *
 * $return['link'] = YourImageLibrary::createThumbnail($_FILES['Filedata']['tmp_name']);
 *
 */

if ($error) {

	$return = array(
		'status' => '0',
		'error' => $error
	);

} else {

	$return = array(
		'status' => '1',
		'name' => $_FILES['Filedata']['name'],
		'postcode' => $postcode
	);

	// Our processing, we get a hash value from the file
	$return['hash'] = md5_file($_FILES['Filedata']['tmp_name']);
}


// Output

/**
 * Again, a demo case. We can switch here, for different showcases
 * between different formats. You can also return plain data, like an URL
 * or whatever you want.
 *
 * The Content-type headers are uncommented, since Flash doesn't care for them
 * anyway. This way also the IFrame-based uploader sees the content.
 */

if (isset($_REQUEST['response']) && $_REQUEST['response'] == 'xml') {
	// header('Content-type: text/xml');

	// Really dirty, use DOM and CDATA section!
	echo '<response>';
	foreach ($return as $key => $value) {
		echo "<$key><![CDATA[$value]]></$key>";
	}
	echo '</response>';
} else {
	// header('Content-type: application/json');

	echo json_encode($return);
}

?>